# ISLocalToGlobalMappingBlock

Creates a blocked index version of an ISLocalToGlobalMapping that is appropriate for MatSetLocalToGlobalMappingBlock() and VecSetLocalToGlobalMappingBlock().

### Synopsis

    #include "petscsys.h"
    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingBlock(ISLocalToGlobalMapping inmap,PetscInt bs,ISLocalToGlobalMapping *outmap)

Not Collective, but communicator may have more than one process

### Input Parameters

| inmap | - original point-wise mapping
| bs | - block size

### Output Parameter

outmap -block based mapping; the indices are relative to BLOCKS, not individual vector or matrix entries.

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreate(), ISLocalToGlobalMappingCreateIS()

Level:advanced
Location: src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages